LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XScriptURIHelper Interface Reference

This interface is used to help transform Scripting Framework storage locations to Scripting Framework script URIs and vice versa. More...

`import"XScriptURIHelper.idl";`

Inheritance diagram for XScriptURIHelper:

## Public Member Functions
string | getRootStorageURI ()
| Obtain the root storage URI for this ScriptURIHelper. More...
string | getStorageURI ([in] string scriptURI) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Obtain the storage URI for a specific Scripting Framework script URI. More...
string | getScriptURI ([in] string storageURI) raises ( ::com::sun::star::lang::IllegalArgumentException )
| Obtain the Scripting Framework script URI for a specific UCB URI. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface is used to help transform Scripting Framework storage locations to Scripting Framework script URIs and vice versa.

## Member Function Documentation

## ◆ getRootStorageURI()

string getRootStorageURI | ( |  | ) |

Obtain the root storage URI for this ScriptURIHelper.

The resulting string can be used to access the storage for this using the Universal Content Broker

Returns
  a URI to the storage as a `string`

## ◆ getScriptURI()

string getScriptURI | ( | [in] string | storageURI | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

Obtain the Scripting Framework script URI for a specific UCB URI.

Returns
  the URI as a `string`

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the storageURI is not a valid

## ◆ getStorageURI()

string getStorageURI | ( | [in] string | scriptURI | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

Obtain the storage URI for a specific Scripting Framework script URI.

Returns
  a URI to the storage as a `string`

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the storageURI is not a valid

The documentation for this interface was generated from the following file:

- com/sun/star/script/provider/XScriptURIHelper.idl